diff -Nru cairo-1.9.10/debian/changelog cairo-1.9.10/debian/changelog
--- cairo-1.9.10/debian/changelog	2010-06-26 17:14:24.000000000 +0300
+++ cairo-1.9.10/debian/changelog	2010-07-01 16:45:19.000000000 +0300
@@ -1,3 +1,21 @@
+cairo (1.9.10-2) experimental; urgency=low
+
+  * debian/patches/06_build_perf_utils.patch:
+    + Build cairo-perf-* utils as part of the normal build process.
+  * debian/rules:
+    + Enable building of cairo-perf-* utilities.
+  * debian/libcairo2.install.*:
+    + Install the libcairo-script-interpreter.so.* library.
+    + Install the libcairo-trace.so.* library.
+  * debian/libcairo2-dev.install:
+    + Install the libcairo-script-interpreter.so symbolic link.
+    + Install the libcairo-trace.so symbolic link.
+    + Install the cairo-perf-* and cairo-trace utility programs.
+  * debian/libcairo2.symbols:
+    + Add new symbols for libcairo-script-interpreter.so library.
+
+ -- Alexandros Frantzis <alexandros.frantzis@linaro.org>  Thu, 01 Jul 2010 15:17:48 +0300
+
 cairo (1.9.10-1) experimental; urgency=low
 
   * New upstream development release:
diff -Nru cairo-1.9.10/debian/control cairo-1.9.10/debian/control
--- cairo-1.9.10/debian/control	2010-06-26 17:07:30.000000000 +0300
+++ cairo-1.9.10/debian/control	2010-07-01 16:32:36.000000000 +0300
@@ -47,7 +47,7 @@
  vector-based rendering for multiple target backends.
  .
  This package contains the development libraries, header files needed by
- programs that want to compile with Cairo.
+ programs that want to compile with Cairo and some utility programs.
 
 Package: libcairo2
 Section: libs
@@ -108,4 +108,3 @@
  .
  This is version of cairo with only the Xlib backend, intended
  primarily for use in the graphical Debian installer.
-
diff -Nru cairo-1.9.10/debian/libcairo2-dev.install cairo-1.9.10/debian/libcairo2-dev.install
--- cairo-1.9.10/debian/libcairo2-dev.install	2010-06-26 17:07:30.000000000 +0300
+++ cairo-1.9.10/debian/libcairo2-dev.install	2010-07-01 16:35:57.000000000 +0300
@@ -1,5 +1,10 @@
 debian/install/main/usr/include/cairo/*.h /usr/include/cairo
-debian/install/main/usr/lib/libcairo.so /usr/lib
+debian/install/main/usr/lib/libcairo*.so /usr/lib
 debian/install/main/usr/lib/libcairo*.a /usr/lib
 debian/install/main/usr/lib/libcairo*.la /usr/lib
+debian/install/main/usr/lib/cairo/*.so /usr/lib/cairo
+debian/install/main/usr/lib/cairo/*.a /usr/lib/cairo
+debian/install/main/usr/lib/cairo/*.la /usr/lib/cairo
 debian/install/main/usr/lib/pkgconfig/cairo*.pc /usr/lib/pkgconfig
+debian/install/main/usr/bin/cairo-perf-* /usr/bin
+debian/install/main/usr/bin/cairo-trace /usr/bin
diff -Nru cairo-1.9.10/debian/libcairo2.install cairo-1.9.10/debian/libcairo2.install
--- cairo-1.9.10/debian/libcairo2.install	2010-06-26 17:07:30.000000000 +0300
+++ cairo-1.9.10/debian/libcairo2.install	2010-07-01 16:28:45.000000000 +0300
@@ -1 +1,3 @@
 debian/install/main/usr/lib/libcairo.so.* /usr/lib
+debian/install/main/usr/lib/libcairo-script-interpreter.so.* /usr/lib
+debian/install/main/usr/lib/cairo/*.so.* /usr/lib/cairo
diff -Nru cairo-1.9.10/debian/libcairo2.install.in cairo-1.9.10/debian/libcairo2.install.in
--- cairo-1.9.10/debian/libcairo2.install.in	2010-06-26 17:07:30.000000000 +0300
+++ cairo-1.9.10/debian/libcairo2.install.in	2010-07-01 16:29:45.000000000 +0300
@@ -1 +1,3 @@
 debian/install/main/usr/lib/libcairo.so.* /usr/lib
+debian/install/main/usr/lib/libcairo-script-interpreter.so.* /usr/lib
+debian/install/main/usr/lib/cairo/*.so.* /usr/lib/cairo
diff -Nru cairo-1.9.10/debian/libcairo2.install.opt cairo-1.9.10/debian/libcairo2.install.opt
--- cairo-1.9.10/debian/libcairo2.install.opt	2010-06-26 17:07:30.000000000 +0300
+++ cairo-1.9.10/debian/libcairo2.install.opt	2010-07-01 16:30:12.000000000 +0300
@@ -1 +1,3 @@
 debian/install/opt/usr/lib/libcairo.so.* @OPTLIBDIR@
+debian/install/opt/usr/lib/libcairo-script-interpreter.so.* @OPTLIBDIR@
+debian/install/opt/usr/lib/cairo/*.so.* @OPTLIBDIR@/cairo
diff -Nru cairo-1.9.10/debian/libcairo2.symbols cairo-1.9.10/debian/libcairo2.symbols
--- cairo-1.9.10/debian/libcairo2.symbols	2010-06-26 17:07:30.000000000 +0300
+++ cairo-1.9.10/debian/libcairo2.symbols	2010-07-01 15:00:14.000000000 +0300
@@ -331,3 +331,14 @@
  cairo_xml_create_for_stream@Base 1.9.4
  cairo_xml_for_recording_surface@Base 1.9.6
  cairo_xml_surface_create@Base 1.9.4
+libcairo-script-interpreter.so.2 libcairo2 #MINVER#
+ cairo_script_interpreter_create@Base 1.9.10
+ cairo_script_interpreter_destroy@Base 1.9.10
+ cairo_script_interpreter_feed_stream@Base 1.9.10
+ cairo_script_interpreter_feed_string@Base 1.9.10
+ cairo_script_interpreter_finish@Base 1.9.10
+ cairo_script_interpreter_get_line_number@Base 1.9.10
+ cairo_script_interpreter_install_hooks@Base 1.9.10
+ cairo_script_interpreter_reference@Base 1.9.10
+ cairo_script_interpreter_run@Base 1.9.10
+ cairo_script_interpreter_translate_stream@Base 1.9.10
diff -Nru cairo-1.9.10/debian/patches/06_build_perf_utils.patch cairo-1.9.10/debian/patches/06_build_perf_utils.patch
--- cairo-1.9.10/debian/patches/06_build_perf_utils.patch	1970-01-01 02:00:00.000000000 +0200
+++ cairo-1.9.10/debian/patches/06_build_perf_utils.patch	2010-07-01 14:08:58.000000000 +0300
@@ -0,0 +1,48 @@
+Description: Build cairo-perf-utils as part of then normal build process.
+Author: Alexandros Frantzis <alexandros.frantzis@linaro.org>
+Bug: https://bugs.freedesktop.org/show_bug.cgi?id=28865
+Last-Update: 2010-07-01
+--- a/perf/Makefile.am
++++ b/perf/Makefile.am
+@@ -10,6 +10,18 @@
+ 
+ AM_LDFLAGS = $(CAIRO_LDFLAGS)
+ 
++if CAIRO_HAS_PERF_UTILS
++bin_PROGRAMS = cairo-perf-micro \
++	cairo-perf-trace \
++	cairo-perf-diff-files \
++	cairo-perf-print \
++	cairo-perf-chart \
++	cairo-perf-compare-backends
++if HAVE_GTK
++bin_PROGRAMS += cairo-perf-graph-files
++endif
++endif
++
+ EXTRA_PROGRAMS += cairo-perf-micro \
+ 		  cairo-perf-trace \
+ 		  cairo-perf-diff-files \
+--- a/build/configure.ac.features
++++ b/build/configure.ac.features
+@@ -400,6 +400,7 @@
+ 	echo "The following features and utilities:"
+ 	echo "  cairo-trace:                $use_trace"
+ 	echo "  cairo-script-interpreter:   $use_interpreter"
++	echo "  cairo-perf-utils:           $use_perf_utils"
+ 	echo ""
+ 	echo "And the following internal features:"
+ 	echo "  pthread:       $use_pthread"
+--- a/configure.ac
++++ b/configure.ac
+@@ -783,6 +783,10 @@
+ PKG_CHECK_MODULES(gtk, "gtk+-2.0",have_gtk=yes, have_gtk=no)
+ AM_CONDITIONAL(HAVE_GTK, test "x$have_gtk" = "xyes")
+ 
++dnl ===========================================================================
++
++CAIRO_ENABLE(perf_utils, cairo-perf-utils, no, [use_perf_utils=yes])
++
+ SHAVE_INIT([build], [enable]) # dnl Make the output pretty
+ 
+ AC_CONFIG_FILES([
diff -Nru cairo-1.9.10/debian/patches/99_autoreconf.patch cairo-1.9.10/debian/patches/99_autoreconf.patch
diff -Nru cairo-1.9.10/debian/patches/debian-changes-1.9.10-2 cairo-1.9.10/debian/patches/debian-changes-1.9.10-2
diff -Nru cairo-1.9.10/debian/patches/series cairo-1.9.10/debian/patches/series
--- cairo-1.9.10/debian/patches/series	2010-06-26 17:11:24.000000000 +0300
+++ cairo-1.9.10/debian/patches/series	2010-07-01 14:40:52.000000000 +0300
@@ -1,5 +1,6 @@
 01_no-private-symbol-export.patch
 03_no-cxx.patch
 05_am-maintainer-mode.patch
+06_build_perf_utils.patch
 99_autoreconf.patch
 99_ltmain_as-needed.patch
diff -Nru cairo-1.9.10/debian/rules cairo-1.9.10/debian/rules
--- cairo-1.9.10/debian/rules	2010-06-26 17:07:30.000000000 +0300
+++ cairo-1.9.10/debian/rules	2010-07-01 14:40:03.000000000 +0300
@@ -52,7 +52,7 @@
 main_configure_flags += \
 $(configure_flags) \
 --enable-xlib --enable-svg \
---enable-xcb
+--enable-xcb --enable-perf-utils
 
 udeb_configure_flags += \
 $(configure_flags) \
